#include "includes.h"
#include "config.h"


struct icon_struct *icons;
int nr_icons;


int readConfig(char *config){
	FILE *cfg;
	char name[200], path[200], program[200];
	struct icon_struct *icon_node, *last_node;

	nr_icons = 0;
	if((cfg=fopen(CONFIG_FILENAME, "r")) == NULL) return(0);

	last_node = NULL;
	while(!feof(cfg)){
		if(fscanf(cfg, "%s : %s : %[^\n]\n", path, program, name) != 3){
			printf("WARNING: invalid syntax on line %d, parsing halted\n", nr_icons+1);
			break;
		}
		icon_node = (struct icon_struct *)malloc(sizeof(struct icon_struct));
		if(nr_icons == 0) icons = icon_node;
		else last_node->next = icon_node;
		last_node = icon_node;
		icon_node->name = (char *)malloc(strlen(name)+1);
		icon_node->path = (char *)malloc(strlen(path)+1);
		icon_node->program = (char *)malloc(strlen(program)+1);
		strcpy(icon_node->name, name);
		strcpy(icon_node->path, path);
		strcpy(icon_node->program, program);
		nr_icons++;
	}

	fclose(cfg);
	return(nr_icons);
}
