#include "includes.h"

#include "config.h"
#include "input.h"
#include "render.h"
#include "trig.h"


static void funcIdle(void){
	funcRedraw();
}


int main( int argc, char **argv ){
	glutInit(&argc, argv);
	glutInitWindowPosition(0, 0);
	glutInitWindowSize(WIDTH, HEIGHT);
	glutInitDisplayMode(GLUT_RGBA | GLUT_DOUBLE | GLUT_DEPTH);
	if(glutCreateWindow("TuxBox Menu") == GL_FALSE){
		printf("failed to create window\n");
		exit(1);
	}
//	glutFullScreen();

	button = 0; button_base = 0;
	max_buttons = -(readConfig() -1);

	srand(time(0));

	initTrigTables();
	initScene();

	glutKeyboardFunc(funcKey);
	glutSpecialFunc(funcSpecialKey);
	glutSpecialUpFunc(funcSpecialKeyUp);

//	glutMouseFunc(funcMouse);
//	glutMotionFunc(funcMouseActiveMotion);
//	glutPassiveMotionFunc(funcMousePassiveMotion);

	glutEntryFunc(funcMouseEntry);

//	createMenu();

//	glutReshapeFunc(funcResize);
	glutDisplayFunc(funcRedraw);
	glutIdleFunc(funcIdle);
	glutMainLoop();
	exit(0);
}
